---
apiVersion: cilium.io/v2
kind: CiliumNetworkPolicy
metadata:
  name: traefik
  namespace: kube-system
spec:
  endpointSelector:
    matchLabels:
      app.kubernetes.io/name: traefik

  ingress:
  # allow inbound webhook and http(s) from cluster
  - fromEntities:
    - cluster
    toPorts:
    - ports:
      - port: "9100"
        protocol: TCP
      - port: "9000"
        protocol: TCP
      - port: "8000"
        protocol: TCP
      - port: "8443"
        protocol: TCP

  # allow inbound http(s) traffic
  - fromEntities:
    - world
    - remote-node
    toPorts:
    - ports:
      - port: "8000"
        protocol: TCP
      - port: "8443"
        protocol: TCP

  egress:
  - toEntities:
    - kube-apiserver
    toPorts:
    - ports:
      - port: "6443"
        protocol: TCP

  # allow outbound to non-system-namespace
  - toEndpoints:
    - matchExpressions:
      - {key: k8s:io.kubernetes.pod.namespace, operator: NotIn, values: [kube-system, gatekeeper-system]}
      - {key: security.wunderba.eu/ingress, operator: NotIn, values: [disabled]}
